Windows XP Embedded   otázka

Offtopic

Ahoj!

Nevíte prosím Vás,zda je možné ve Windows XP Embedded spustit aplikaci vytvořenou ve VB2010.V práci máme stroj,který pracuje pod

tímto systémem a chtěl jsem tam spustit svůj program,ale nejde to.Pouze zahlásí něco ve smyslu "chyba při spouštění aplikace" a konec.Tak by mě zajímalo zda je možné to pod tímto systémem vůbec spustit,event. jestli není potřeba něco nastavit v projectu při ukládání....

Děkuji

nahlásit spamnahlásit spam 0 odpovědětodpovědět

Windows XP Embedded jsou normální Windows XP poskládané podle potřeby, takže tam může být problém maximálně v tom, že tam chybí nějaké klíčové součásti.

Více na http://msdn.microsoft.com/en-us/library/... a http://www.microsoft.com/en-us/download/...

nahlásit spamnahlásit spam 1 / 1 odpovědětodpovědět

Děkuji za info,takže jít by to mělo.Kouknu zda tam je vůbec nainstalován nějaký NET Framework,nechce se mi tam do toho moc štourat a něco doinstalovávat(uvidím),abych něco nepodělal a mašina nezůstala stát.

Každopádně děkuji

nahlásit spamnahlásit spam 0 odpovědětodpovědět

Tak Framework tam bude muset v každém případě. Horší je, že ten může být závislý na nějakých dalších součástech, které původně nebylo do Embedded verze potřeba zahrnovat. A dostávat to tam dodatečně (např. nějaký COM bordel), upřímnou soustrast.

nahlásit spamnahlásit spam -1 / 1 odpovědětodpovědět

Udělejte si image disku, předejdete hodně problémům.

Stroj s Emb. Windows má obyčejně softwarové PLC a na Windows běží podpůrné programy, různé licence, HMI ...

Psal jsem několik aplikací pro emb. (Siemens, Beckhoff, Bosch) a na všech mi bez potíží běžely winforms aplikace na frameworku 2.0.

Např. beckhoff má na stránkách ke stažení novější image disku (samozřejmě bez PLC programu :)).

Výrobci používající siemens nechtějí do průmyslového PC nijak zasahovat, a alespoň ze zkušeností Vás odpálkujou. Nicméně technická podpora přímo u siemensu (např. v bradleci) je sdílnější.

nahlásit spamnahlásit spam 0 odpovědětodpovědět

1.Tak jsem tam dneska zkusil instalovat framework 4.0 kterou jsem měl po ruce(není tam původně žádný),ale hned na začátku mě to odpálkovalo,že to potřebuje něco dalšího.Možná zkusit verzi 3.0.

2.No já mám právě obavy abych následně neudělal více škody než užitku a nenadělal si do trenek!!!!

Ale jinak Vám oběma děkuji za informace,uvidím.....

nahlásit spamnahlásit spam 0 odpovědětodpovědět

Podle mě v Embedded systému není něco, kvůli čemu nepůjde nainstalovat ani 1.0... Přesně jak jsem psal.

nahlásit spamnahlásit spam -1 / 1 odpovědětodpovědět

No tak jsem učinil další pokus a ono by si to asi i nechalo nainst

alovat 3.0,ale opět se objevil další problém....

V PC je disk ale zřejmě něco jako "falsch paměť" s velikostí c:1GB

a d:2GB

A vzhledem,že ten systémový oddíl má velikost pouze 1GB ,z toho win zabere cca 700MB

a framework potřebuje pro instalaci 600MB místa na systémovém disku(oddílu) je problém na světě.(nevím jestli se dá donutit aby instalace proběhla na D:)

nahlásit spamnahlásit spam 0 odpovědětodpovědět
                       
Nadpis:
Antispam: Komu se občas házejí perly?
Příspěvek bude publikován pod identitou   anonym.
  • Administrátoři si vyhrazují právo komentáře upravovat či mazat bez udání důvodu.
    Mazány budou zejména komentáře obsahující vulgarity nebo porušující pravidla publikování.
  • Pokud nejste zaregistrováni, Vaše IP adresa bude zveřejněna. Pokud s tímto nesouhlasíte, příspěvek neodesílejte.

přihlásit pomocí externího účtu

přihlásit pomocí jména a hesla

Uživatel:  
Heslo:  

zapomenuté heslo

 

založit nový uživatelský účet

zaregistrujte se

 
zavřít

Nahlásit spam

Opravdu chcete tento příspěvek nahlásit pro porušování pravidel fóra?

Nahlásit Zrušit

Chyba

zavřít

feedback